PDA

View Full Version : [SOLVED] VIM wont open.. Did a yum install and it fails to work?



lynxus
23rd March 2012, 11:40 AM
Hi Guys,

As normal I installed vim-enhanced.. This is a normal process I do on fedora so I can get syntax highlighting rather than using vi..

Anyway.

When i try to run it, it errors:
vim test.html
vim: error while loading shared libraries: /usr/lib/libgpm.so.2: file too short

Ive reinstalled and nothing..

Does anyone have any ideas?

This is pretty much a new install of FC16 with nothing special installed.


Thanks, Hope someone knows what to do to fix.. Its driving me insane:blink:

uname -r
3.3.0-4.fc16.i686

cat /etc/redhat-release
Fedora release 16 (Verne)

Adunaic
23rd March 2012, 11:48 AM
Have you reinstalled vim or gpm-libs or both?

lynxus
23rd March 2012, 11:52 AM
Reinstalled vim , vi etc..
No help..

ill re-install gpmlibs and see if that helps.

BRB

---------- Post added at 10:50 AM ---------- Previous post was at 10:49 AM ----------

LOL

That fixed that error, Now i have this one:

vim test
vim: error while loading shared libraries: /usr/lib/libruby.so.1.8: file too short

---------- Post added at 10:52 AM ---------- Previous post was at 10:50 AM ----------

AWESOME!

did a yum reinstall ruby-libs

and that fixed it

HAH
always easy when you know what to re-install.


Thanks for the help man!


-G